<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionMineTree.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/df1/_action_mine_tree_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionMineTree.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/df1/_action_mine_tree_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d7c/class_mine_action_data.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d7c/class_mine_action_data.html">MineActionData</a> : <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">    3</a></span>    <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a> <a class="code hl_variable" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">m_HarvestType</a> = <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.NORMAL;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>}</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">class </span>ActionMineTreeCB : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#af4cb12fb6591ae17c4dbe9401338dfc4">    8</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/df1/_action_mine_tree_8c.html#af4cb12fb6591ae17c4dbe9401338dfc4">TIME_BETWEEN_MATERIAL_DROPS_DEFAULT</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#aaf6f68baec39b329a07062a5eeba7ab2">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d7f/class_action_base_c_b.html#a246c1a8f4abde3e56a1bcfad34ea2abe">CreateActionComponent</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_ActionData.m_ActionComponent = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a>(<a class="code hl_variable" href="../../de/df1/_action_mine_tree_8c.html#af4cb12fb6591ae17c4dbe9401338dfc4">TIME_BETWEEN_MATERIAL_DROPS_DEFAULT</a>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    } </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>};</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_mine_base.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d9e/class_action_mine_base.html">ActionMineBase</a> : <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_mine_base.html#a8b3171fe606f18573bd5907e7d2d563a">   18</a></span>    <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a> <a class="code hl_variable" href="../../de/d9e/class_action_mine_base.html#a8b3171fe606f18573bd5907e7d2d563a">m_HarvestType</a> = <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.NORMAL;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_mine_base.html#aca5d6be5edd7d88ec277f92585687b49">   20</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> <a class="code hl_function" href="../../de/d9e/class_action_mine_base.html#aca5d6be5edd7d88ec277f92585687b49">CreateActionData</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_class" href="../../d4/d7c/class_mine_action_data.html">MineActionData</a> data = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_mine_action_data.html">MineActionData</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        data.<a class="code hl_variable" href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">m_HarvestType</a> = <a class="code hl_variable" href="../../de/d9e/class_action_mine_base.html#a8b3171fe606f18573bd5907e7d2d563a">m_HarvestType</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> data;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_mine_base.html#a57d39372c361b2531761d192007463a2">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d9e/class_action_mine_base.html#a57d39372c361b2531761d192007463a2">OnActionInfoUpdate</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> =  <span class="stringliteral">&quot;#harvest&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + <a class="code hl_function" href="../../de/d9e/class_action_mine_base.html#a7b42e528cee31846ec9dffe41d2de423">GetYieldName</a>(player, target, item);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/d9e/class_action_mine_base.html#a7b42e528cee31846ec9dffe41d2de423">   32</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d9e/class_action_mine_base.html#a7b42e528cee31846ec9dffe41d2de423">GetYieldName</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="comment">//given the circumstances, the implementation bellow is the path of least resistance</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject = target.GetObject();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a> wood = <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a>.Cast(targetObject);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> rock = <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>.Cast(targetObject);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordtype">string</span> yieldName;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> (wood || rock)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a> output_map = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">if</span> (wood)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                wood.GetMaterialAndQuantityMapEx(item, output_map, <a class="code hl_variable" href="../../de/d9e/class_action_mine_base.html#a8b3171fe606f18573bd5907e7d2d563a">m_HarvestType</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                rock.<a class="code hl_function" href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">GetMaterialAndQuantityMap</a>(item, output_map);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">if</span> (output_map.Count() &gt; 0)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                yieldName = MiscGameplayFunctions.GetItemDisplayName(output_map.GetKey(0));</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> yieldName;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="keyword">class </span><a class="code hl_function" href="../../de/df1/_action_mine_tree_8c.html#aaf6f68baec39b329a07062a5eeba7ab2">ActionMineTree</a> : <a class="code hl_class" href="../../de/d9e/class_action_mine_base.html">ActionMineBase</a></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>{</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/df1/_action_mine_tree_8c.html#aaf6f68baec39b329a07062a5eeba7ab2">ActionMineTree</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#ade389d6579b2d10ea62a5596521ff3ba">   63</a></span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        m_CallbackClass = ActionMineTreeCB;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#a55004d27e35ff6d4ab133545233c9c01">   65</a></span>        m_CommandUID = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_HACKTREE;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">ROUGH_HIGH</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#a6b922d3bb1d26f790bc52030566ba2df">   71</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/df1/_action_mine_tree_8c.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#a4d5cfda0348a7bc90af95642df4b1a2b">   72</a></span>    {   </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#a57c8e1138ae73838e95b277413124c5d">SMALL</a>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#aa9aa4864fae11769c65e644b5fd97c66">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/df1/_action_mine_tree_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="comment">//Action not allowed if player has broken legs</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (player.GetBrokenLegs() == <a class="code hl_enumeration" href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a>.BROKEN_LEGS)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject = target.GetObject();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="comment">//GetMaterialAndQuantityMap</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> targetObject.IsTree() &amp;&amp; targetObject.IsCuttable();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../de/df1/_action_mine_tree_8c.html#a00cda41fe9dd093059da5c4b83b591bc">   90</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="comment">// &quot;hiding&quot; of map item</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">//action_data.m_Target.GetObject().SetOrigin(&quot;0 0 0&quot;);</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_mine_tree_8c_html_a6b922d3bb1d26f790bc52030566ba2df"><div class="ttname"><a href="../../de/df1/_action_mine_tree_8c.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00071">ActionMineTree.c:71</a></div></div>
<div class="ttc" id="a_action_mine_tree_8c_html_aa9aa4864fae11769c65e644b5fd97c66"><div class="ttname"><a href="../../de/df1/_action_mine_tree_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00077">ActionMineTree.c:77</a></div></div>
<div class="ttc" id="a_action_mine_tree_8c_html_aaf6f68baec39b329a07062a5eeba7ab2"><div class="ttname"><a href="../../de/df1/_action_mine_tree_8c.html#aaf6f68baec39b329a07062a5eeba7ab2">ActionMineTree</a></div><div class="ttdeci">ActionMineBase ActionContinuousBase ActionMineTree()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00010">ActionMineTree.c:62</a></div></div>
<div class="ttc" id="a_action_mine_tree_8c_html_af4cb12fb6591ae17c4dbe9401338dfc4"><div class="ttname"><a href="../../de/df1/_action_mine_tree_8c.html#af4cb12fb6591ae17c4dbe9401338dfc4">TIME_BETWEEN_MATERIAL_DROPS_DEFAULT</a></div><div class="ttdeci">MineActionData TIME_BETWEEN_MATERIAL_DROPS_DEFAULT</div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_e_broken_legs_8c_html_a12f1d5042885139e5fa3d8ee34a474b6"><div class="ttname"><a href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a></div><div class="ttdeci">eBrokenLegs</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d11/_e_broken_legs_8c_source.html#l00001">EBrokenLegs.c:2</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_abbb29a17964fe9b913bd331a4b623137"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a></div><div class="ttdeci">void WoodBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00030">WoodBase.c:30</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae80cbbfe62468ad69c0d16f0798621f5"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a></div><div class="ttdeci">EHarvestType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00001">WoodBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_a246c1a8f4abde3e56a1bcfad34ea2abe"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#a246c1a8f4abde3e56a1bcfad34ea2abe">ActionBaseCB::CreateActionComponent</a></div><div class="ttdeci">void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00053">AnimatedActionBase.c:53</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html_ae6fe10fd2a2c6266cf5cb1b6d62d826f"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">ActionContinuousBase::OnFinishProgressServer</a></div><div class="ttdeci">protected void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00248">ActionContinuousBase.c:248</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_mine_base_html"><div class="ttname"><a href="../../de/d9e/class_action_mine_base.html">ActionMineBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00016">ActionMineTree.c:17</a></div></div>
<div class="ttc" id="aclass_action_mine_base_html_a57d39372c361b2531761d192007463a2"><div class="ttname"><a href="../../de/d9e/class_action_mine_base.html#a57d39372c361b2531761d192007463a2">ActionMineBase::OnActionInfoUpdate</a></div><div class="ttdeci">override void OnActionInfoUpdate(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00027">ActionMineTree.c:27</a></div></div>
<div class="ttc" id="aclass_action_mine_base_html_a7b42e528cee31846ec9dffe41d2de423"><div class="ttname"><a href="../../de/d9e/class_action_mine_base.html#a7b42e528cee31846ec9dffe41d2de423">ActionMineBase::GetYieldName</a></div><div class="ttdeci">string GetYieldName(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00032">ActionMineTree.c:32</a></div></div>
<div class="ttc" id="aclass_action_mine_base_html_a8b3171fe606f18573bd5907e7d2d563a"><div class="ttname"><a href="../../de/d9e/class_action_mine_base.html#a8b3171fe606f18573bd5907e7d2d563a">ActionMineBase::m_HarvestType</a></div><div class="ttdeci">EHarvestType m_HarvestType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00018">ActionMineTree.c:18</a></div></div>
<div class="ttc" id="aclass_action_mine_base_html_aca5d6be5edd7d88ec277f92585687b49"><div class="ttname"><a href="../../de/d9e/class_action_mine_base.html#aca5d6be5edd7d88ec277f92585687b49">ActionMineBase::CreateActionData</a></div><div class="ttdeci">override ActionData CreateActionData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00020">ActionMineTree.c:20</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_mine_wood_html"><div class="ttname"><a href="../../dc/d12/class_c_a_continuous_mine_wood.html">CAContinuousMineWood</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd5/_c_a_continuous_mine_wood_8c_source.html#l00001">CAContinuousMineWood.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_mine_action_data_html"><div class="ttname"><a href="../../d4/d7c/class_mine_action_data.html">MineActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00001">ActionMineTree.c:2</a></div></div>
<div class="ttc" id="aclass_mine_action_data_html_a182b4f45364a68c36dc2dcb6b64505f8"><div class="ttname"><a href="../../d4/d7c/class_mine_action_data.html#a182b4f45364a68c36dc2dcb6b64505f8">MineActionData::m_HarvestType</a></div><div class="ttdeci">EHarvestType m_HarvestType</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df1/_action_mine_tree_8c_source.html#l00003">ActionMineTree.c:3</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_rock_base_html"><div class="ttname"><a href="../../db/d6f/class_rock_base.html">RockBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00001">RockBase.c:2</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a9384ccef40ac89bd3fa831fbd1cfb775"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">RockBase::GetMaterialAndQuantityMap</a></div><div class="ttdeci">void GetMaterialAndQuantityMap(ItemBase item, out map&lt; string, int &gt; output_map)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00025">RockBase.c:25</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_a57c8e1138ae73838e95b277413124c5d"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#a57c8e1138ae73838e95b277413124c5d">UAMaxDistances::SMALL</a></div><div class="ttdeci">const float SMALL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00103">ActionConstants.c:103</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_adc529a8c7d00adb11ad04ba1369dd481"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">UASoftSkillsWeight::ROUGH_HIGH</a></div><div class="ttdeci">const float ROUGH_HIGH</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00118">ActionConstants.c:118</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../de/df1/_action_mine_tree_8c.html">ActionMineTree.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
